Changeset 2992


Ignore:
Timestamp:
Oct 15, 2013 11:48:36 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/stable/1.4/configure

    r2924 r2992  
    10891089                          (implies --disable-shared)
    10901090  --enable-debug-hsl compile project HSL with debug compiler flags
    1091   --enable-doscompile     Under Cygwin, compile so that executables run under
    1092                           DOS. Set to mingw to use gcc/g++/ld with
    1093                           -mno-cygwin. Set to msvc to use cl/link (or
    1094                           icl/link). Default when mentioned: mingw. Default
    1095                           when not mentioned: disabled.
     1091
     1092  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10961093  --disable-pkg-config    disable use of pkg-config (if available)
    10971094  --enable-static[=PKGS]
     
    19011898
    19021899# Get the name of the C compiler (for a dummy program)
    1903 case $build in
     1900
     1901
     1902  # for backward compatibility
     1903  # Check whether --enable-doscompile or --disable-doscompile was given.
     1904if test "${enable_doscompile+set}" = set; then
     1905  enableval="$enable_doscompile"
     1906  enable_doscompile=$enableval
     1907else
     1908  enable_doscompile=no
     1909fi;
     1910
     1911  # Check whether --enable-msvc or --disable-msvc was given.
     1912if test "${enable_msvc+set}" = set; then
     1913  enableval="$enable_msvc"
     1914  enable_msvc=$enableval
     1915else
     1916  enable_msvc=no
     1917     if test "$enable_doscompile" = msvc ; then
     1918       enable_msvc=yes
     1919     elif test "$enable_doscompile" != no ; then
     1920       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1921echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1922   { (exit 1); exit 1; }; }
     1923     fi
     1924
     1925fi;
     1926
     1927  if test "$enable_msvc" = yes; then
     1928    case $build in
     1929      *-cygwin* | *-mingw*) ;;
     1930      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1931echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1932   { (exit 1); exit 1; }; } ;;
     1933    esac
     1934  fi
     1935
     1936
     1937 case $build in
    19041938  *-mingw*)
    19051939    if test "${LD+set}" = set; then :; else
     
    19081942    ;;
    19091943 esac
    1910  case $enable_doscompile in
    1911    msvc)
    1912      if test "x${LD+set}" = xset; then :; else
    1913        LD=link
    1914      fi
    1915      ;;
    1916  esac
    1917 
    1918 
    1919  # Check whether --enable-doscompile or --disable-doscompile was given.
    1920 if test "${enable_doscompile+set}" = set; then
    1921   enableval="$enable_doscompile"
    1922   if test "$enable_doscompile" != no; then
    1923      case $build in
    1924        *-cygwin* | *-mingw*) ;;
    1925        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1926 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1927    { (exit 1); exit 1; }; } ;;
    1928      esac
     1944 if test $enable_msvc = yes ; then
     1945   if test "x${LD+set}" = xset; then :; else
     1946     LD=link
    19291947   fi
    1930 else
    1931   enable_doscompile=no
    1932 fi;
    1933  case "$enable_doscompile" in
    1934    mingw)
    1935      case $build in
    1936        *-mingw*) enable_doscompile=no ;;
    1937      esac
    1938      ;;
    1939    msvc|no) ;;
    1940    yes) enable_doscompile=mingw ;;
    1941    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1942                     Try configure --help=recursive." >&5
    1943 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1944                     Try configure --help=recursive." >&2;}
    1945    { (exit 1); exit 1; }; }
    1946       ;;
    1947   esac
    1948   if test "$enable_doscompile" != no ; then
    1949     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1950 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1951   fi
     1948 fi
    19521949
    19531950
     
    19921989case $build in
    19931990  *-cygwin* | *-mingw*)
    1994              if test "$enable_doscompile" = msvc ; then
    1995                comps="icl cl"
     1991             if test "$enable_msvc" = yes ; then
     1992               comps="icl cl gcc"
    19961993             else
    1997                comps="gcc cl"
     1994               comps="gcc icl cl"
    19981995             fi ;;
    19991996  *-*-solaris*)
     
    28482845            ;;
    28492846        esac
    2850         case $enable_doscompile in
    2851           mingw)
    2852             CFLAGS="-mno-cygwin"
    2853             cat >conftest.$ac_ext <<_ACEOF
    2854 /* confdefs.h.  */
    2855 _ACEOF
    2856 cat confdefs.h >>conftest.$ac_ext
    2857 cat >>conftest.$ac_ext <<_ACEOF
    2858 /* end confdefs.h.  */
    2859 
    2860 int
    2861 main ()
    2862 {
    2863 int i=0; i++;
    2864   ;
    2865   return 0;
    2866 }
    2867 _ACEOF
    2868 rm -f conftest.$ac_objext conftest$ac_exeext
    2869 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2870   (eval $ac_link) 2>conftest.er1
    2871   ac_status=$?
    2872   grep -v '^ *+' conftest.er1 >conftest.err
    2873   rm -f conftest.er1
    2874   cat conftest.err >&5
    2875   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2876   (exit $ac_status); } &&
    2877          { ac_try='test -z "$ac_c_werror_flag"
    2878                          || test ! -s conftest.err'
    2879   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2880   (eval $ac_try) 2>&5
    2881   ac_status=$?
    2882   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2883   (exit $ac_status); }; } &&
    2884          { ac_try='test -s conftest$ac_exeext'
    2885   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2886   (eval $ac_try) 2>&5
    2887   ac_status=$?
    2888   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2889   (exit $ac_status); }; }; then
    2890   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2891 else
    2892   echo "$as_me: failed program was:" >&5
    2893 sed 's/^/| /' conftest.$ac_ext >&5
    2894 
    2895 fi
    2896 rm -f conftest.err conftest.$ac_objext \
    2897       conftest$ac_exeext conftest.$ac_ext
    2898             CFLAGS=
    2899           ;;
    2900         esac
    29012847    esac
    29022848  fi
     
    32393185  clang* ) ;;
    32403186  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3241     case $build in
     3187
     3188 case $build in
    32423189  *-mingw*)
    32433190    if test "${LD+set}" = set; then :; else
     
    32463193    ;;
    32473194 esac
    3248  case $enable_doscompile in
    3249    msvc)
    3250      if test "x${LD+set}" = xset; then :; else
    3251        LD=link
    3252      fi
    3253      ;;
    3254  esac
     3195 if test $enable_msvc = yes ; then
     3196   if test "x${LD+set}" = xset; then :; else
     3197     LD=link
     3198   fi
     3199 fi
    32553200
    32563201    ;;
     
    32683213case $build in
    32693214  *-cygwin* | *-mingw*)
    3270      if test "$enable_doscompile" = msvc ; then
    3271        coin_f77_comps="ifort fl32 compile_f2c"
     3215     if test "$enable_msvc" = yes ; then
     3216       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32723217     else
    32733218       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34943439
    34953440# Provide some information about the compiler.
    3496 echo "$as_me:3496:" \
     3441echo "$as_me:3441:" \
    34973442     "checking for Fortran 77 compiler version" >&5
    34983443ac_compiler=`set X $ac_compile; echo $2`
     
    36633608    coin_add_fflags="-pipe"
    36643609    coin_dbg_fflags="-g -O0"
    3665     case $enable_doscompile in
    3666       mingw)
    3667         FFLAGS="-mno-cygwin"
    3668         cat >conftest.$ac_ext <<_ACEOF
    3669       program main
    3670       write(*,*) 'Hello world'
    3671       end
    3672 _ACEOF
    3673 rm -f conftest.$ac_objext conftest$ac_exeext
    3674 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3675   (eval $ac_link) 2>conftest.er1
    3676   ac_status=$?
    3677   grep -v '^ *+' conftest.er1 >conftest.err
    3678   rm -f conftest.er1
    3679   cat conftest.err >&5
    3680   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3681   (exit $ac_status); } &&
    3682          { ac_try='test -z "$ac_f77_werror_flag"
    3683                          || test ! -s conftest.err'
    3684   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3685   (eval $ac_try) 2>&5
    3686   ac_status=$?
    3687   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3688   (exit $ac_status); }; } &&
    3689          { ac_try='test -s conftest$ac_exeext'
    3690   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3691   (eval $ac_try) 2>&5
    3692   ac_status=$?
    3693   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3694   (exit $ac_status); }; }; then
    3695   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3696 else
    3697   echo "$as_me: failed program was:" >&5
    3698 sed 's/^/| /' conftest.$ac_ext >&5
    3699 
    3700 fi
    3701 rm -f conftest.err conftest.$ac_objext \
    3702       conftest$ac_exeext conftest.$ac_ext
    3703         FFLAGS=
    3704       ;;
    3705     esac
    37063610  else
    37073611    case $build in
     
    39953899case "$F77" in
    39963900  ifort* | */ifort* | IFORT* | */IFORT*)
    3997     case $build in
     3901
     3902 case $build in
    39983903  *-mingw*)
    39993904    if test "${LD+set}" = set; then :; else
     
    40023907    ;;
    40033908 esac
    4004  case $enable_doscompile in
    4005    msvc)
    4006      if test "x${LD+set}" = xset; then :; else
    4007        LD=link
    4008      fi
    4009      ;;
    4010  esac
     3909 if test $enable_msvc = yes ; then
     3910   if test "x${LD+set}" = xset; then :; else
     3911     LD=link
     3912   fi
     3913 fi
    40113914
    40123915    ;;
     
    42734176ac_save_FFLAGS=$FFLAGS
    42744177FFLAGS="$FFLAGS $ac_verb"
    4275 (eval echo $as_me:4275: \"$ac_link\") >&5
     4178(eval echo $as_me:4178: \"$ac_link\") >&5
    42764179ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42774180echo "$ac_f77_v_output" >&5
     
    43514254ac_save_FFLAGS=$FFLAGS
    43524255FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4353 (eval echo $as_me:4353: \"$ac_link\") >&5
     4256(eval echo $as_me:4256: \"$ac_link\") >&5
    43544257ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    43554258echo "$ac_f77_v_output" >&5
     
    52295132
    52305133# Provide some information about the compiler.
    5231 echo "$as_me:5231:" \
     5134echo "$as_me:5134:" \
    52325135     "checking for Fortran compiler version" >&5
    52335136ac_compiler=`set X $ac_compile; echo $2`
     
    70176920*-*-irix6*)
    70186921  # Find out which ABI we are using.
    7019   echo '#line 7019 "configure"' > conftest.$ac_ext
     6922  echo '#line 6922 "configure"' > conftest.$ac_ext
    70206923  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    70216924  (eval $ac_compile) 2>&5
     
    94949397   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94959398   -e 's:$: $lt_compiler_flag:'`
    9496    (eval echo "\"\$as_me:9496: $lt_compile\"" >&5)
     9399   (eval echo "\"\$as_me:9399: $lt_compile\"" >&5)
    94979400   (eval "$lt_compile" 2>conftest.err)
    94989401   ac_status=$?
    94999402   cat conftest.err >&5
    9500    echo "$as_me:9500: \$? = $ac_status" >&5
     9403   echo "$as_me:9403: \$? = $ac_status" >&5
    95019404   if (exit $ac_status) && test -s "$ac_outfile"; then
    95029405     # The compiler can only warn and ignore the option if not recognized
     
    97629665   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97639666   -e 's:$: $lt_compiler_flag:'`
    9764    (eval echo "\"\$as_me:9764: $lt_compile\"" >&5)
     9667   (eval echo "\"\$as_me:9667: $lt_compile\"" >&5)
    97659668   (eval "$lt_compile" 2>conftest.err)
    97669669   ac_status=$?
    97679670   cat conftest.err >&5
    9768    echo "$as_me:9768: \$? = $ac_status" >&5
     9671   echo "$as_me:9671: \$? = $ac_status" >&5
    97699672   if (exit $ac_status) && test -s "$ac_outfile"; then
    97709673     # The compiler can only warn and ignore the option if not recognized
     
    98669769   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    98679770   -e 's:$: $lt_compiler_flag:'`
    9868    (eval echo "\"\$as_me:9868: $lt_compile\"" >&5)
     9771   (eval echo "\"\$as_me:9771: $lt_compile\"" >&5)
    98699772   (eval "$lt_compile" 2>out/conftest.err)
    98709773   ac_status=$?
    98719774   cat out/conftest.err >&5
    9872    echo "$as_me:9872: \$? = $ac_status" >&5
     9775   echo "$as_me:9775: \$? = $ac_status" >&5
    98739776   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    98749777   then
     
    1228312186  lt_status=$lt_dlunknown
    1228412187  cat > conftest.$ac_ext <<EOF
    12285 #line 12285 "configure"
     12188#line 12188 "configure"
    1228612189#include "confdefs.h"
    1228712190
     
    1238312286  lt_status=$lt_dlunknown
    1238412287  cat > conftest.$ac_ext <<EOF
    12385 #line 12385 "configure"
     12288#line 12288 "configure"
    1238612289#include "confdefs.h"
    1238712290
     
    1474314646   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1474414647   -e 's:$: $lt_compiler_flag:'`
    14745    (eval echo "\"\$as_me:14745: $lt_compile\"" >&5)
     14648   (eval echo "\"\$as_me:14648: $lt_compile\"" >&5)
    1474614649   (eval "$lt_compile" 2>conftest.err)
    1474714650   ac_status=$?
    1474814651   cat conftest.err >&5
    14749    echo "$as_me:14749: \$? = $ac_status" >&5
     14652   echo "$as_me:14652: \$? = $ac_status" >&5
    1475014653   if (exit $ac_status) && test -s "$ac_outfile"; then
    1475114654     # The compiler can only warn and ignore the option if not recognized
     
    1484714750   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1484814751   -e 's:$: $lt_compiler_flag:'`
    14849    (eval echo "\"\$as_me:14849: $lt_compile\"" >&5)
     14752   (eval echo "\"\$as_me:14752: $lt_compile\"" >&5)
    1485014753   (eval "$lt_compile" 2>out/conftest.err)
    1485114754   ac_status=$?
    1485214755   cat out/conftest.err >&5
    14853    echo "$as_me:14853: \$? = $ac_status" >&5
     14756   echo "$as_me:14756: \$? = $ac_status" >&5
    1485414757   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1485514758   then
     
    1641716320   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1641816321   -e 's:$: $lt_compiler_flag:'`
    16419    (eval echo "\"\$as_me:16419: $lt_compile\"" >&5)
     16322   (eval echo "\"\$as_me:16322: $lt_compile\"" >&5)
    1642016323   (eval "$lt_compile" 2>conftest.err)
    1642116324   ac_status=$?
    1642216325   cat conftest.err >&5
    16423    echo "$as_me:16423: \$? = $ac_status" >&5
     16326   echo "$as_me:16326: \$? = $ac_status" >&5
    1642416327   if (exit $ac_status) && test -s "$ac_outfile"; then
    1642516328     # The compiler can only warn and ignore the option if not recognized
     
    1652116424   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1652216425   -e 's:$: $lt_compiler_flag:'`
    16523    (eval echo "\"\$as_me:16523: $lt_compile\"" >&5)
     16426   (eval echo "\"\$as_me:16426: $lt_compile\"" >&5)
    1652416427   (eval "$lt_compile" 2>out/conftest.err)
    1652516428   ac_status=$?
    1652616429   cat out/conftest.err >&5
    16527    echo "$as_me:16527: \$? = $ac_status" >&5
     16430   echo "$as_me:16430: \$? = $ac_status" >&5
    1652816431   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1652916432   then
     
    1872818631   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1872918632   -e 's:$: $lt_compiler_flag:'`
    18730    (eval echo "\"\$as_me:18730: $lt_compile\"" >&5)
     18633   (eval echo "\"\$as_me:18633: $lt_compile\"" >&5)
    1873118634   (eval "$lt_compile" 2>conftest.err)
    1873218635   ac_status=$?
    1873318636   cat conftest.err >&5
    18734    echo "$as_me:18734: \$? = $ac_status" >&5
     18637   echo "$as_me:18637: \$? = $ac_status" >&5
    1873518638   if (exit $ac_status) && test -s "$ac_outfile"; then
    1873618639     # The compiler can only warn and ignore the option if not recognized
     
    1899618899   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1899718900   -e 's:$: $lt_compiler_flag:'`
    18998    (eval echo "\"\$as_me:18998: $lt_compile\"" >&5)
     18901   (eval echo "\"\$as_me:18901: $lt_compile\"" >&5)
    1899918902   (eval "$lt_compile" 2>conftest.err)
    1900018903   ac_status=$?
    1900118904   cat conftest.err >&5
    19002    echo "$as_me:19002: \$? = $ac_status" >&5
     18905   echo "$as_me:18905: \$? = $ac_status" >&5
    1900318906   if (exit $ac_status) && test -s "$ac_outfile"; then
    1900418907     # The compiler can only warn and ignore the option if not recognized
     
    1910019003   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1910119004   -e 's:$: $lt_compiler_flag:'`
    19102    (eval echo "\"\$as_me:19102: $lt_compile\"" >&5)
     19005   (eval echo "\"\$as_me:19005: $lt_compile\"" >&5)
    1910319006   (eval "$lt_compile" 2>out/conftest.err)
    1910419007   ac_status=$?
    1910519008   cat out/conftest.err >&5
    19106    echo "$as_me:19106: \$? = $ac_status" >&5
     19009   echo "$as_me:19009: \$? = $ac_status" >&5
    1910719010   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1910819011   then
     
    2280322706# Try to autodetect the library for blas based on build system
    2280422707  #AC_MSG_CHECKING([default locations for BLAS])
    22805   skip_lblas_check=no
    2280622708  case $build in
    2280722709    *-sgi-*)
     
    2360623508
    2360723509    *-cygwin* | *-mingw*)
    23608 # On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
    23609 # library will want to link with cygwin, hence won't run standalone in DOS.
    23610       if test "$enable_doscompile" = mingw; then
    23611         skip_lblas_check=yes
    23612       fi
    2361323510      case "$CC" in
    2361423511        clang* ) ;;
     
    2477424671  esac
    2477524672
    24776   if test -z "$use_blas" && test $skip_lblas_check = no; then
     24673  if test -z "$use_blas" ; then
    2477724674    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2477824675echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    2646026357echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2646126358coin_link_input_cmd="$LN_S"
    26462 if test "$enable_doscompile" = mingw; then
    26463   coin_link_input_cmd=cp
    26464 fi
    2646526359case "$CC" in
    2646626360  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.